VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::ComponentInfo Class Reference

The `ComponentInfo` class contains the privilege information of a component element. More...

List of all members.

## Public Member Functions
| ComponentInfo ()
| Creates a default new instance.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.privilege.PackageInfo > | GetPackages ()
| Privilege information of all the package elements.
void | SetPackages (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.PackageInfo > packages)
| Privilege information of all the package elements.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ComponentInfo` class contains the privilege information of a component element.

For an explanation of privilege information contained within component elements, see Component .

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::ComponentInfo::ComponentInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::privilege::ComponentInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::privilege::ComponentInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::privilege::ComponentInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::privilege::ComponentInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::privilege::ComponentInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::privilege::ComponentInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::privilege::ComponentInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.privilege.PackageInfo> vmware::vapi::metadata::privilege::ComponentInfo::GetPackages | ( |  | ) | `[inline]`

Privilege information of all the package elements.

The key in the map is the identifier of the package element and the value in the map is the privilege information for the package element.

For an explanation of privilege information containment within package elements, see Package . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.package` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.package` .

void vmware::vapi::metadata::privilege::ComponentInfo::SetPackages | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.PackageInfo > | packages | ) | `[inline]`

Privilege information of all the package elements.

The key in the map is the identifier of the package element and the value in the map is the privilege information for the package element.

For an explanation of privilege information containment within package elements, see Package . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.package` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.package` .

override string vmware::vapi::metadata::privilege::ComponentInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- privilege/ComponentInfo.cs